VectorLinux
November 24, 2014, 12:01:07 am *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 ... 3 4 [5] 6 7 8
  Print  
Author Topic: VL7.1 STD feedback and suggestions.  (Read 13087 times)
roarde
Vectorian
****
Posts: 541


move the needle


« Reply #60 on: May 29, 2014, 07:05:36 pm »

I'm using Midori on RC2.1 32-bit. No real problems, just small annoyances.

Until, that is, I enable pretty much any add-on. They should rename each one "insta-crash" for this build. And that's a problem many distros are having.
Logged

Robert
VL STD 7.1 RC2.3, icewmvmods
M0E-lnx
Administrator
Vectorian
*****
Posts: 3192



« Reply #61 on: May 30, 2014, 06:13:41 am »

Aparently, the edit menu crash only happens after you have opened a website.  I was trying it as soon as the app loaded, and in that test case it does not.  This is a known bug https://bugs.launchpad.net/midori/+bug/1303372 .  We'll have to wait for a patch or fix release.  Looks like every one is having this same problem with midori.

NOTE:  My last build does fix a minor annoyance where the tabs would have no close button and no favicon.  To see the fix on a current 7.1 installation follow this guide
Code:
slapt-get -u
slapt-get -i midori faenza-icon-theme mate-icon-them --reinstall

UPDATE:
Looks like there is already a fix, but they may not publish a patch.  Instead it's commited to the next milestone
https://bugs.launchpad.net/midori/+bug/1303372
« Last Edit: May 30, 2014, 09:15:42 am by M0E-lnx » Logged

nightflier
Administrator
Vectorian
*****
Posts: 4029



« Reply #62 on: June 01, 2014, 09:20:09 am »

RC2.1 32-bit in VB VM: flash-player-properites segfaults when you click "playback" tab.
Logged
roarde
Vectorian
****
Posts: 541


move the needle


« Reply #63 on: June 02, 2014, 05:50:09 pm »

Duplicated nightflier's flash-player-properties playback tab segfault on real 32-bit hw, STD RC2.1 (incidentally with icewmvmods running, so assuming his was with xfce rules out the de).
Logged

Robert
VL STD 7.1 RC2.3, icewmvmods
nightflier
Administrator
Vectorian
*****
Posts: 4029



« Reply #64 on: June 03, 2014, 02:31:56 am »

Thanks Roarde. Yes, my test was with xfce, no changes made after install.
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3192



« Reply #65 on: June 03, 2014, 05:41:13 am »

MIDORI ISSUE UPDATE:

I have built a patched version of the midori 0.5.8 package for 7.1 (Thanks to Roarde for the patch).

My initial testing shows this fixes the crash on menu->edit.

Build link: http://vlcore.vectorlinux.com/buildbot/builders/midori/builds/5
The package will be in untested after the build completes
Logged

nightflier
Administrator
Vectorian
*****
Posts: 4029



« Reply #66 on: June 03, 2014, 02:52:00 pm »

Tested updated midori on 32-bit in vm. Works. Enabled some add-ons like flash and java, no problems. After I set the GTK theme to "mate" the UI displayed properly, fwiw.
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3192



« Reply #67 on: June 04, 2014, 03:04:17 am »

Tested updated midori on 32-bit in vm. Works. Enabled some add-ons like flash and java, no problems. After I set the GTK theme to "mate" the UI displayed properly, fwiw.

If you sslapt-get -i --reinstall faenza-icon-theme it will display the icons without having to set the theme to mate
Logged

caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #68 on: July 09, 2014, 08:54:36 am »

How are things progressing?  Is there an updated release candidate?  How close (or far) are we from a gold release?
Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #69 on: July 12, 2014, 05:23:31 pm »

I tried using VL 7.1 RC2 with an external USB Hebrew/English keyboard.  While I had no problem making VL work with Hebrew, I did have problems with typing in any language.  I got double and triple characters.  This is probably just a keyboard setting that can be adjusted but I've never seen this problem before.  I've used this hardware configuration with other distros and it just works.
Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
caitlyn
Packager
Vectorian
****
Posts: 2876


WWW
« Reply #70 on: July 12, 2014, 06:42:09 pm »

Running
Code:
slapt-get --update
slapt-get --upgrade

on my netbook (32-bit VL 7.1) with the testing repository enabled I get the following errors:
Code:
The following packages have unmet dependencies:
  apr-util: Depends: apr >= 1.4.8-i586-1vl71
  mysql: Depends: zlib >= 1.2.8-i586-1vl71
  gnutls: Depends: zlib >= 1.2.8-i586-1vl71
  libimobiledevice: Depends: libplist >= 1.11-i586-1vl71
The following packages have been EXCLUDED:
  apr-util gambas2-runtime gnutls libgpod libimobiledevice usbmuxd
My exclude list in my slapt-getrc only includes kernel packages.
Logged

eMachines EL-1300G desktop, 1.6GHz AMD Athlon 2650e CPU, 4GB RAM, nVidia GeForce 6150 SE video
CentOS 6.5 (will try VL64-7.1 soon)

Toshiba Satellite A135-S4727,  Intel Pentium T2080 / 1.73 GHz, 2GB RAM, Intel GMA 950

HP Mini 110 netbook, 1.6GHz Intel Atom CPU, 2GB RAM, Intel 950 video, VL 7.1
roarde
Vectorian
****
Posts: 541


move the needle


« Reply #71 on: July 12, 2014, 07:12:54 pm »

The missing dependencies are in the untested repo. Line for slapt-getrc:
#DISABLED=http://vlcore.vectorlinux.com/pkg/untested/veclinux-7.1/x86/
Edit: Slapt-getrc now ships with the line #SOURCE=http://vlcore.vectorlinux.com/pkg/ (so on). So to use it, it must be directly edited. Better idea than what I wrote and struck out, IMO.

Then this wouldn't apply to that either, but is left as a guide to adding new repos to slapt-getrc for normal use:
Of course, that adds it as disabled -- can be turned on/off by editing directly or by source selection in GSlapt. Looks like the testing repo isn't being used now on 7.1, and I think that plans are currently to abandon it. Not sure, and at this point subject to change anyway.

But having those packages moved from untested to extra without bringing all the deps along does point up a problem, especially when untested is regularly purged.
« Last Edit: August 12, 2014, 06:13:01 pm by roarde » Logged

Robert
VL STD 7.1 RC2.3, icewmvmods
vincent2
Vectorite
***
Posts: 410


« Reply #72 on: July 16, 2014, 05:01:32 am »

 spent  afew  hours to download vl7.1 rc 2.2.3 64bit,install process went smoothly,

from runlevel 4  login menu , can't enter desktop at all always erros, prompting disk full, infact disk 's 90% vacant space.......
to enter desktop, has to type startx always.....
it's really buggy.

3G modem still doesn't work at all....

vl7.1 rc2.2.3 offers no improvement at all, .

pls offer 3G 4G modem support......

Logged
vincent2
Vectorite
***
Posts: 410


« Reply #73 on: July 19, 2014, 02:17:47 am »

vl7.1 rc 2.2.4 64bit,install process went smoothly,

from runlevel 4  login menu , still can't enter desktop at all always erros, prompting disk full, infact disk 's 90% vacant space.......

to enter desktop, has to type startx always.....

3G modem still doesn't work at all....

vl7.1 rc2.2.4 offers no improvement at all

hope more engineers in mobile internet provider companies can test vl7.1,offer better 3G support.

Logged
vincent2
Vectorite
***
Posts: 410


« Reply #74 on: July 19, 2014, 02:43:59 am »

in order to make 3G modem working with chestnutdialer  on vl7,1 rc2.2.4,
 
are  there any special dependent pkgs  need to be installed?

can anyone  give some hints on 3G modem @vl7.1 64bit?

while on slackware14.1 bit, 3G modem does work very well...can't figure out what pkgs and files vector 7.1 missed ?

« Last Edit: July 19, 2014, 02:46:05 am by vincent2 » Logged
Pages: 1 ... 3 4 [5] 6 7 8
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!